# boost::numeric::ublas::matrix_view_traits< MATRIX > Struct Template Reference

Traits class to extract type information from a constant MATRIX. More...

Inherits container_view_traits< MATRIX >.

Inherited by boost::numeric::ublas::matrix_traits< MATRIX >.

List of all members.

## Public Types

typedef MATRIX::orientation_category | orientation_category
| orientation of the matrix, either `row_major_tag`, `column_major_tag` or `unknown_orientation_tag`
typedef MATRIX::const_iterator1 | const_iterator1
| row iterator for the matrix
typedef MATRIX::const_iterator2 | const_iterator2
| column iterator for the matrix

## Detailed Description

### template<class MATRIX>
struct boost::numeric::ublas::matrix_view_traits< MATRIX >